# petsc4py.PETSc.Partitioner.Type

class petsc4py.PETSc.Partitioner.Type

  Bases: `object`

  The partitioner types.

  Attributes Summary

  `CHACO` | Object `CHACO` of type `str`
  `GATHER` | Object `GATHER` of type `str`
  `MATPARTITIONING` | Object `MATPARTITIONING` of type `str`
  `PARMETIS` | Object `PARMETIS` of type `str`
  `PTSCOTCH` | Object `PTSCOTCH` of type `str`
  `SHELL` | Object `SHELL` of type `str`
  `SIMPLE` | Object `SIMPLE` of type `str`

  Attributes Documentation

  CHACO: str = CHACO

    Object `CHACO` of type `str`

  GATHER: str = GATHER

    Object `GATHER` of type `str`

  MATPARTITIONING: str = MATPARTITIONING

    Object `MATPARTITIONING` of type `str`

  PARMETIS: str = PARMETIS

    Object `PARMETIS` of type `str`

  PTSCOTCH: str = PTSCOTCH

    Object `PTSCOTCH` of type `str`

  SHELL: str = SHELL

    Object `SHELL` of type `str`

  SIMPLE: str = SIMPLE

    Object `SIMPLE` of type `str`